Skip to main content
`Ctrl`+`K`

# Polyutils

Utility classes and functions for the polynomial modules.

This module provides: error and warning objects; a polynomial base class; and some routines used in both the polynomial and chebyshev modules.

## Functions

`as_series`(alist[, trim]) | Return argument as a list of 1-d arrays.
`trimseq`(seq) | Remove small Poly series coefficients.
`trimcoef`(c[, tol]) | Remove "small" "trailing" coefficients from a polynomial.
`getdomain`(x) | Return a domain suitable for given abscissae.
`mapdomain`(x, old, new) | Apply linear map to input points.
`mapparms`(old, new) | Linear map parameters between domains.